package com.bonus.canteen.core.drp.v2.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import com.bonus.canteen.core.drp.constant.DrpInterfaceType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpAiRegisterMaterialPageDTO extends PageDTO {
   @ApiModelProperty("注册状态(1已注册,2未注册)")
   private Integer ifRegister;
   @ApiModelProperty("搜索关键字")
   private String materialInfo;
   @ApiModelProperty("采集状态(1已采集,2未采集,0全部)")
   private Integer ifCollect;
   @ApiModelProperty("首字母")
   private String initial;
   @ApiModelProperty("类别id集合")
   private List<Long> categoryIdList;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   private DrpInterfaceType interfaceType;

   public DrpAiRegisterMaterialPageDTO() {
      this.interfaceType = DrpInterfaceType.WEB;
   }

   public Integer getIfRegister() {
      return this.ifRegister;
   }

   public String getMaterialInfo() {
      return this.materialInfo;
   }

   public Integer getIfCollect() {
      return this.ifCollect;
   }

   public String getInitial() {
      return this.initial;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public DrpInterfaceType getInterfaceType() {
      return this.interfaceType;
   }

   public void setIfRegister(final Integer ifRegister) {
      this.ifRegister = ifRegister;
   }

   public void setMaterialInfo(final String materialInfo) {
      this.materialInfo = materialInfo;
   }

   public void setIfCollect(final Integer ifCollect) {
      this.ifCollect = ifCollect;
   }

   public void setInitial(final String initial) {
      this.initial = initial;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setInterfaceType(final DrpInterfaceType interfaceType) {
      this.interfaceType = interfaceType;
   }
}
